com.h3c.sdn.common

## Enum Link.Type

- java.lang.Object
- - java.lang.Enum<Link.Type>
  - - com.h3c.sdn.common.Link.Type

- All Implemented Interfaces:
    Serializable, Comparable<Link.Type>
  Enclosing interface:
    Link

      public static enum Link.Type
      extends Enum<Link.Type>

  Represents the type of link.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIRECT_LINK` Represents direct links.
    `INVALID` Represents invalid links.
    `MULTIHOP_LINK` Represents indirect/multi-hop links.
    `TUNNEL` Represents tunnel links.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static Link.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Link.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVALID

          public static final Link.Type INVALID

      Represents invalid links.

    - #### DIRECT_LINK

          public static final Link.Type DIRECT_LINK

      Represents direct links.

    - #### MULTIHOP_LINK

          public static final Link.Type MULTIHOP_LINK

      Represents indirect/multi-hop links.

    - #### TUNNEL

          public static final Link.Type TUNNEL

      Represents tunnel links.

  - ### Method Detail

    - #### values

          public static Link.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Link.Type c : Link.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Link.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Link.Type>`

Copyright © 2014. All Rights Reserved.